using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel;

namespace ASHermed.SinoInterface.Api.IRepository
{

    public interface IPrescriptionInfoRepository : IBaseRepositoryToASHermed_SinoInterface<Out_Internet_Prescription_Info>
    {
        int PrescriptionSign(string prescriptionNo, int status);

        int InsertPrescriptionInfo(PrescriptionReq req);
        int InsertPrescriptionDrug(DrugsInfo req);
        IEnumerable<Out_Internet_Prescription_Info> GetPrescription(int userid, int status, int prescriptionId, string useragent = "sino");
        IEnumerable<Out_Internet_Prescription_Info> GetPrescriptionForPatId(int patId, int status);
        Out_Internet_Prescription_Info GetPrescriptionForId(string orderNo, int language = 1);
        List<Out_Internet_Prescription_Info> GetPrescriptionForIds(List<int> ids);
        IEnumerable<Out_Internet_Prescription_Drug> GetPrescriptionDrug(List<string> prescription);
        /// <summary>
        /// -1已取消  0 未付款, 1=待发货/2=已发货/1024=已签收
        /// </summary>
        /// <param name="id"></param>
        /// <param name="status"></param>
        /// <returns></returns>
        int UpdatePrescriptionStatus(int id, int status);
        int UpdatePrescriptionStatusForOrder(string orderNo, int status);
        int UpdatePrescription(string prescription);
        int UpdateReceipt(int id, string name, string phone, string addr);

    }
}
